%define Werror_cflags %nil
%define major  2
%define libname %mklibname %{name} %{major}
%define resizemajor 0
%define libresize %mklibname %{name}-fs-resize %{resizemajor}
%define develname %mklibname %{name} -d

Name:           parted
Version:        3.1
Release:        %mkrel 4
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Kernel and hardware
URL:            http://www.gnu.org/software/parted/
Source0:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
Patch0:		parted-3.1-link.patch
Requires(post): info-install
Requires(preun):info-install
BuildRequires:  device-mapper-devel
BuildRequires:  gettext-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  libgpm-devel
BuildRequires:  libncurses-devel
BuildRequires:  libreadline-devel
BuildRequires:	util-linux
BuildRequires:	texinfo

%package -n %{libname}
Summary:        The parted library
Group:          Development/C
Requires:       e2fsprogs
Obsoletes:      %{mklibname %{name} 1.7} = %{version}

%package -n %{libresize}
Summary:        The parted library
Group:          Development/C

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Requires:	%{libresize} = %{version}
Provides:       libparted-devel = %{version}
Provides:       parted-devel = %{version}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:      %{mklibname -d parted 1.8 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.7 1} < %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n %{libresize}
This package includes the dynamic libraries

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q
mv libparted/fs/r libparted/fsresize
mv libparted/fs/fsresize.sym libparted/fsresize/
%patch0 -p0

%build
autoreconf -fi
%configure2_5x	\
		--enable-device-mapper \
		--with-readline \
		--disable-static \
		--with-pic \
		--with-packager=%{_real_vendor} \
		--with-packager-bug-reports="https://bugs.mageia.org"
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%check
export PATH=$PATH:/sbin
make check

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libresize}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}.*

%files -n %{develname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.1-4.mga4
+ Revision: 521568
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 3.1-3.mga3
+ Revision: 391307
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 362428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.1-1.mga3
+ Revision: 278208
- update file list
- more linkage dir patch
- fix sourcedir
- more fix
- generate Makefile
- finally move fsresize into seperate dir
- force reconf
- fix linkage
- try build static lib
- new version 3.1

* Tue May 08 2012 fwang <fwang> 3.0-3.mga2
+ Revision: 234900
- br texinfo
- sync with fedora patches to cleanup tests
- drop invalid provides
- specify packager

* Tue Jan 24 2012 tv <tv> 3.0-2.mga2
+ Revision: 200545
- patch 0: fix crash on probing nilfs2 (mga#4135)

* Sat Jul 09 2011 dams <dams> 3.0-1.mga2
+ Revision: 120744
- Update to 3.0

* Sat Jan 15 2011 mikala <mikala> 2.3-1.mga1
+ Revision: 18421
- Drop mdk macro
- Remove BuildRoot
- imported package parted


* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 2.3-1mdv2011.0
+ Revision: 550584
- update to new version 2.3
- add check section

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2010.1
+ Revision: 512187
- new version 2.2

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 2.1-1mdv2010.1
+ Revision: 482612
- New version 2.1 ( -> new libmajor )

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - build with --with-pic

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0-2mdv2010.0
+ Revision: 409183
- Updated buildrequires for libuuid.

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.9.0-1mdv2010.0
+ Revision: 400596
- New version 1.9.0
  New major
- drop patches (fixed upstream)
- reenable Werror
- reenable readline

* Thu Feb 26 2009 Pascal Terjan <pterjan@mandriva.org> 1.8.8-5mdv2009.1
+ Revision: 345222
- BuildConflict with check-devel, else it builds test app and installs it
- Fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libreadline

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.8.8-4mdv2009.0
+ Revision: 289163
- more spcific oboslete

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.8.8-3mdv2009.0
+ Revision: 289157
- obsolete old devel name rather than conflicts

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 1.8.8-2mdv2009.0
+ Revision: 273303
- /usr/bin/label is not built on cluster
- remove /usr/bin/label
- apply devel policy
- fix build with p?\1952 from opensuse

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Thierry Vignaud <tv@mandriva.org> 1.8.8-1mdv2009.0
+ Revision: 194356
- adjust file list
- new release

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.7-3mdv2008.1
+ Revision: 179138
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - new major
    - disable readline (readline detection patch has to be reworked, and aclocal -I m4 is used on some other distros but breaks build on Mandriva
    - New version
    - license is now GPLv3+
    - rediff patch 1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 1.8.7-2mdv2008.0
+ Revision: 26229
- change %%{makeinstall} back to %%{makeinstall_std}
- revert %%defattr change (fix permission in .la files)

* Thu May 10 2007 David Walluck <walluck@mandriva.org> 1.8.7-1mdv2008.0
+ Revision: 25887
- fix build
- fix rpmlint warnings
- 1.8.7

* Fri Apr 20 2007 Pixel <pixel@mandriva.com> 1.8.6-1mdv2008.0
+ Revision: 16160
- new release, 1.8.6
- update disksunraid patch
- add patch fixing readline detection in configure
- don't package new binary /usr/bin/label
  (hopefully not useful, use vol_id instead)
- libparted1.xxx-devel need explicit conflict on previous libparted1.xxx-devel


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.8.2-3mdv2007.0
+ Revision: 113680
- fix libname and ensure it is correct

* Thu Jan 25 2007 Pixel <pixel@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 113408
- new release, 1.8.2

* Thu Dec 14 2006 Pixel <pixel@mandriva.com> 1.8.1-1mdv2007.1
+ Revision: 97094
- patch no-selinux no more needed
- new release, 1.8.1
- patch

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.8.0-1mdv2007.1
+ Revision: 86983
- new release
- new library major (libparted-1.8.so)
- ensure package can't build if the major is wrong
- force device-mapper (was the default)
- adapt patch10
- add /usr/include/multiarch-i386-linux/pci to file list (what's this?)
- Import parted

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.7.1-3mdv2007.0
- Rebuild

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix libification (libparted1.7 providing *.so.0 than *.so.1 lib...)

* Thu Aug 10 2006 Pixel <pixel@mandriva.com> 1.7.1-1mdv2007.0
- new release
- removed mac-swraid patch2 (added upstream)
- fix segfaults with dasd devices (patch3 from fedora)
- updated device-mapper patch (patch5 from fedora)
- use O_DIRECT to prevent first partition corruption on GPT disks (patch8 from fedora)
- add ped_exception_get_handler (patch9 from fedora)

* Fri Jun 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-4mdv2007.0
- fix another missing buildrequires

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-3mdv2007.0
- fix buildrequires
- force aclocal version
- be sure to wipe out buildroot before installing

* Tue May 30 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2007.0
- fix build (don't remove non existent %%_infodir/dir)
- mkrel

* Wed May 24 2006 Pixel <pixel@mandriva.com> 1.7.0-1mdk
- new release
- include patches from fedora
- use aclocal & autoconf for patch5 (libdevicemapper)
- doc/FAQ is no more

* Wed Dec 28 2005 Pixel <pixel@mandriva.com> 1.6.25.1-1mdk
- new release

* Fri Sep 23 2005 Pixel <pixel@mandriva.com> 1.6.24-1mdk
- new release

* Sat Jul 16 2005 Erwan Velu <velu@seanodes.com> 1.6.23-1mdk
- 1.6.23

* Thu Feb 03 2005 Pixel <pixel@mandrakesoft.com> 1.6.21-1mdk
- new release
- removing oldsundisk patch (mostly included upstream)

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-2mdk
- rebuild for new readline

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-1mdk
- 1.6.20

* Thu Dec 02 2004 Pixel <pixel@mandrakesoft.com> 1.6.19-1mdk
- new release

* Wed Nov 10 2004 Pixel <pixel@mandrakesoft.com> 1.6.16-1mdk
- new release
- update oldsun patch (hopefull it still works...)

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-2mdk
- fix sparc RAID (P0 from aurora)
- fix disk identification for old sun disks (P1 from aurora)

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-1mdk
- 1.6.11
- use libtoolize again

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.10-1mdk
- 1.6.10

